#include <SoftwareSerial.h>
#include <a3gs.h>
#include <Stewitter_a3gs.h>

Stewitter twitter("YourToken");
char msg[] = "Hello World! I'm Arduino!"; // urlencoded

void setup()
{
  delay(1000);
  Serial.begin(9600);
  Serial.print("Initializing.. ");

  if (a3gs.start() == 0 && a3gs.begin() == 0) {
    Serial.println("connecting ...");
    if (twitter.post(msg)) {
      int status = twitter.wait();
      if (status == 200) {
        Serial.println(twitter.response());
      } 
      else {
        Serial.print("failed : code ");
        Serial.println(status);
      }
    } 
    else {
      Serial.println("connection failed.");
    }
  }

  Serial.println("Shutdown..");
  a3gs.end();
  a3gs.shutdown();
}

void loop()
{
}

